import os
from dotenv import load_dotenv
from datetime import timedelta

load_dotenv()  

class Config:
    PORT = os.getenv("PORT", 8001)
    DEBUG = True
    TESTING = False 
    SECRET_KEY = os.getenv("SECRET_KEY", "default-secret-key")
    MONGO_URI = os.getenv("MONGO_URI")
    JWT_SECRET_KEY = os.getenv("JWT_SECRET_KEY", "chave_secreta")
    JWT_ACCESS_TOKEN_EXPIRES = timedelta(days=int(os.getenv("JWT_ACCESS_TOKEN_EXPIRES_DAYS", 1)))
    FRONTEND_URL = os.getenv("FRONTEND_URL", 3000)

 

 
